Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[PORTAGE] Problème màj de Portage [resolu]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
disaster62
n00b
n00b


Joined: 12 Jun 2008
Posts: 12

PostPosted: Thu Jun 12, 2008 5:15 pm    Post subject: [PORTAGE] Problème màj de Portage [resolu] Reply with quote

Bonjour!

Alors voila, je viens de finir l'installation de Gentoo! (Je suis nouveau ici!) :D

Je vais pour installer un environnement graphique. Préférant plutôt utiliser une version allégée de GNOME (et pas KDE, ni d'autres pour l'instant), je tape en root: "emerge gnome-light".
J'ai eu quelques problèmes avec des paquets masquées (masked packages) mais bon j'ai su arranger ça avec package.unmask
Par contre maintenant j'ai un autre problème bizare quand j'essaie d'installer GNOME:

Quote:

Calculating Dependencies!

!!! All ebuilds that could satisfy ">-gnome-base/gnome-control-center-2.15.4" have been masked.

!!! One of the following masked packages is required to complete your request
-gnome-base/gnome-control-center-2.20.3 (masked by: required EAPI 1, supported EAPI 0)
-gnome-base/gnome-control-center-2.22.2.1 (masked by: required EAPI 1, supported EAPI 0)
-gnome-base/gnome-control-center-2.22.1 (masked by: required EAPI 1, supported EAPI 0)

For more information see Masked Packages section in the emerge man page or refer to the gentoo Handbook
(dependency required by "gnome-base/gnome-session-2.20.3" [ebouild])


Voila j'ai du écrire ça sur un bloc-note et le ré-écrire j'espère qu'il n'y a pas d'erreur! :)
Donc voila mon erreur je ne comprend vraiment pas ce EAPI 1, j'ai fait des recherches, mais en vain..

J'avais aussi eu quelques problèmes pour la mise à jour de l'arbre de Portage avec "emerge --sync", mais "emerge-webrsync" à marcher sans problème. Après j'ai vu qu'il y avait une mise à jour de Portage, et là aussi le "emerge --oneshot portage" a eu des problèmes.
J'ai penser que, peut-être, le problème de l'installation de GNOME venait de la mise à jour de Portage, mais comme ça ne va pas non plus pour mettre à jour Portage, je patauge dans la semoule là.. :?


Y a t-il une solution à mon problème? Merci de m'aider! :)


EDIT:
Alors j'ai fait un "emerge --sync" au cas où, là il a marché! J'ai retenté "emerge --oneshot portage", toujours le même problème, j'ai pris soin de le noter cette fois! C'est un conflit avec un autre package en fait..
Voila ce que me dit le "emerge --pretend portage" (enfin ce qu'il me note en rouge, ce qui coince..)

Quote:

<sys-apps/portage-2.1.4_rc1 (is blocking app-shell/bash-3.2_p33)


Last edited by disaster62 on Sun Jun 15, 2008 11:00 am; edited 3 times in total
Back to top
View user's profile Send private message
netfab
Veteran
Veteran


Joined: 03 Mar 2005
Posts: 1677
Location: 127.0.0.1

PostPosted: Thu Jun 12, 2008 6:11 pm    Post subject: Reply with quote

Salut,

Quote:
Après j'ai vu qu'il y avait une mise à jour de Portage, et là aussi le "emerge --oneshot portage" a eu des problèmes.

C'est la première chose que tu dois effectuer.

Quote:

masked by: required EAPI 1, supported EAPI 0

veut dire que la version de portage actuelle supporte la version 0 de l'API des eclass, et que ces ebuilds ont besoin de la version 1.
Tu dois donc d'abord mettre à jour portage.

Donne ton emerge --info, et que donne emerge -pvu portage ?
Back to top
View user's profile Send private message
disaster62
n00b
n00b


Joined: 12 Jun 2008
Posts: 12

PostPosted: Thu Jun 12, 2008 6:18 pm    Post subject: Reply with quote

Merci pour ta réponse! Je vais entrer ces commandes et je les poste!
Je dois aussi dire que mon expérience sur Linux n'est pas très longue, donc par avance désolé si j'ai fais des bêtises! :P J'étais sur Mandriva qui m'a pas plu, puis sur Debian et Ubuntu, et Gentoo m'a semblé être la meilleure distrib pour apprendre un max de chose sur Linux, alors je m'y suis lancé! :)

Après je signale que j'ai installé Gentoo non pas sur une partition ext3 mais jfs, je ne sais pas si ça peut jouer.. :?


EDIT:

Voici emerge --info:

Quote:

Portage 2.1.2.2 (default/linux/amd64/2008.0, gcc-4.1.1, glibc-2.5-r0, 2.6.24-gentoo-r8 x86_64)
=================================================================
System uname: 2.6.24-gentoo-r8 x86_64 Intel(R) Pentium(R) Dual CPU E2180 @ 2.00GHz
Gentoo Base System release 1.12.9
Timestamp of tree: Thu, 12 Jun 2008 17:00:02 +0000
app-shells/bash: 3.1_p17
dev-lang/python: 2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
sys-apps/baselayout: 1.12.9
sys-apps/sandbox: 1.2.17
sys-devel/autoconf: 2.61-r1
sys-devel/automake: 1.9.6-r2, 1.10.1
sys-devel/binutils: 2.16.1-r3
sys-devel/gcc-config: 1.3.14
sys-devel/libtool: 1.5.22
virtual/os-headers: 2.6.17-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/terminfo"
CXXFLAGS="-march=nocona -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl amd64 avahi berkdb bzip2 cli cracklib crypt cups dbus dri fortran gdbm gnome gpm gtk hal iconv ipv6 isdnlog midi mmx mudflap multilib ncurses nls nptl nptlonly openmp pam pcre perl pppd python readline reflection session spl sse sse2 ssl tcpd unicode xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="fbdev glint i810 mach64 mga neomagic nv r128 radeon savage sis tdfx trident vesa vga via vmware voodoo"
Unset: CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY



et emerge -pvu portage:
Quote:


These are the packages that would be merged, in order:

Calculating dependencies ....... done!

[ebuild U ] dev-lang/python-2.4.4-r6 [2.4.3-r4] USE="berkdb gdbm ipv6 ncurses readline ssl -bootstrap -build -doc -examples% -nocxx -nothreads% -tk -ucs2" 7,977 kB
[ebuild U ] sys-apps/sed-4.1.5-r1 [4.1.5] USE="nls -static" 781 kB
[ebuild U ] sys-apps/sandbox-1.2.18.1-r2 [1.2.17] 232 kB
[ebuild U ] app-misc/pax-utils-0.1.17 [0.1.15] USE="-caps" 65 kB
[ebuild N ] app-arch/lzma-utils-4.32.5 USE="-nocxx" 462 kB
[ebuild N ] app-admin/python-updater-0.2 3 kB
[ebuild U ] net-misc/rsync-2.6.9-r6 [2.6.9-r1] USE="acl ipv6 -static -xinetd" 0 kB
[ebuild U ] sys-apps/coreutils-6.10-r2 [6.4] USE="acl nls (-selinux) -static -vanilla% -xattr%" 3,692 kB
[ebuild U ] dev-python/pycrypto-2.0.1-r6 [2.0.1-r5] USE="-bindist -gmp -test" 151 kB
[ebuild U ] sys-apps/portage-2.1.4.4 [2.1.2.2] USE="-build -doc -epydoc (-selinux)" LINGUAS="-pl" 368 kB
*** Portage will stop merging at this point and reload itself,
then resume the merge.
[ebuild U ] app-shells/bash-3.2_p33 [3.1_p17] USE="nls -afs -bashlogger -plugins% -vanilla" 2,564 kB
[blocks B ] <sys-apps/portage-2.1.4_rc1 (is blocking app-shells/bash-3.2_p33)
[blocks B ] <sys-apps/util-linux-2.13 (is blocking sys-apps/coreutils-6.10-r2)

Total: 11 packages (9 upgrades, 2 new, 2 blocks), Size of downloads: 16,290 kB
Back to top
View user's profile Send private message
netfab
Veteran
Veteran


Joined: 03 Mar 2005
Posts: 1677
Location: 127.0.0.1

PostPosted: Thu Jun 12, 2008 6:51 pm    Post subject: Reply with quote

Essaye emerge -pvu1 util-linux, si portage ne t'indique aucune erreur, retire le pv, attend la fin, et lance emerge -u portage.

Edit, j'ai retiré le bash dans la commande précédente, il va forcément bloquer.
Pour mettre à jour bash, il faut effectuer un emerge --nodeps bash (problème de dépendance circulaire, j'ai eu la cas sur un système il n'y a pas longtemps).
Back to top
View user's profile Send private message
geekounet
Bodhisattva
Bodhisattva


Joined: 11 Oct 2004
Posts: 3772
Location: Wellington, Aotearoa

PostPosted: Thu Jun 12, 2008 7:07 pm    Post subject: Reply with quote

Salut et bienvenue ! Peux-tu mettre ton titre du topic en conformité avec les conventions de notre forum s'il te plait ? Merci :)
Back to top
View user's profile Send private message
disaster62
n00b
n00b


Joined: 12 Jun 2008
Posts: 12

PostPosted: Thu Jun 12, 2008 7:08 pm    Post subject: Reply with quote

Ah ok, d'accord et bien merci pour ton aide! Je vais essayer tout ça demain, et je post ici les résultats, en espérant que tout tourne bien! :)


geekounet wrote:
Salut et bienvenue ! Peux-tu mettre ton titre du topic en conformité avec les conventions de notre forum s'il te plait ? Merci :)

Voila qui est fait! Desolé! :)
Back to top
View user's profile Send private message
disaster62
n00b
n00b


Joined: 12 Jun 2008
Posts: 12

PostPosted: Thu Jun 12, 2008 10:37 pm    Post subject: Reply with quote

Alors voici les nouvelles, plus tôt que prévu d'ailleurs! :)

J'ai fait emerge -pvu1 util-linux, malheureusement j'ai eu un petit problème concernant un dernier fichier qui ne voulait pas s'installer, à cause d'un blocage il me semble.
J'ai donc fait emerge --nodeps util-linux et ça a marché.
Ce qui fait que j'ai pu, enfin, faire la mise à jour de Portage par la suite! emerge -u portage
Après j'ai fait emerge --nodeps bash, et après tout ça, l'erreur pour emerge gnome-light s'est envolé, mais il y en a une autre, enfin je ne pense pas que ça soit vraiment une erreur proprement parlé.

Voici ce que emerge gnome-light me dit maintenant:

Quote:
Calculating dependencies .... done!
[nomerge ] gnome-base/gnome-light-2.20.3
[nomerge ] gnome-extra/yelp-2.20.0 USE="-beagle -debug -xulrunner"
[nomerge ] www-client/mozilla-firefox-2.0.0.14 USE="gnome ipv6 -bindist -debug -filepicker -iceweasel -java -mozdevelop -moznopango -restrict-javascript -xforms -xinerama -xprint" LINGUAS="-af -ar -be -bg -ca -cs -da -de -el -en -en_GB -en_US -es -es_AR -es_ES -eu -fi -fr -fy -fy_NL -ga -ga_IE -gu -gu_IN -he -hu -it -ja -ka -ko -ku -lt -mk -mn -nb -nb_NO -nl -nn -nn_NO -pa -pa_IN -pl -pt -pt_BR -pt_PT -ro -ru -sk -sl -sv -sv_SE -tr -uk -zh -zh_CN -zh_TW"
[nomerge ] gnome-base/gnome-vfs-2.20.1-r1 USE="acl avahi hal ipv6 ssl -debug -doc -gnutls -kerberos -samba"
[ebuild N ] gnome-base/gnome-mount-0.6 USE="gnome -debug"
[ebuild N ] gnome-base/nautilus-2.20.0-r1 USE="X gnome -beagle -debug -esd -tracker"
[ebuild N ] gnome-base/librsvg-2.20.0 USE="gnome zlib -debug -doc"
[ebuild N ] gnome-base/libgnomeprintui-2.18.2 USE="-debug -doc"
[ebuild N ] gnome-base/libgnomeprint-2.18.4 USE="cups -debug -doc"
[ebuild N ] net-print/libgnomecups-0.2.2 USE="-debug"
[nomerge ] gnome-base/gnome-light-2.20.3
[nomerge ] gnome-base/librsvg-2.20.0 USE="gnome zlib -debug -doc"
[nomerge ] gnome-base/libgnomeprint-2.18.4 USE="cups -debug -doc"
[nomerge ] net-print/cups-1.3.7-r1 USE="X acl avahi dbus nls pam perl python ssl -java -jpeg -kerberos -ldap -php -png -ppds -samba -slp -static -tiff -zeroconf" LINGUAS="-de -en -es -et -fr -he -it -ja -pl -sv -zh_TW"
[ebuild N ] virtual/ghostscript-0
[ebuild N ] app-text/ghostscript-gpl-8.62 USE="X cups gtk -bindist -cjk -djvu -jpeg2k"
[ebuild N ] net-print/cups-1.3.7-r1 USE="X acl avahi dbus nls pam perl python ssl -java -jpeg -kerberos -ldap -php -png -ppds -samba -slp -static -tiff -zeroconf" LINGUAS="-de -en -es -et -fr -he -it -ja -pl -sv -zh_TW"
[ebuild N ] gnome-extra/libgsf-1.14.7 USE="bzip2 gnome python -debug -doc"
[ebuild N ] gnome-base/eel-2.20.0 USE="X -debug"
[ebuild N ] gnome-base/gnome-desktop-2.20.3 USE="-debug -doc"
[ebuild N ] gnome-base/libgnomeui-2.20.1.1 USE="-debug -doc -jpeg"
[ebuild N ] gnome-base/libbonoboui-2.20.0 USE="X -debug -doc"
[ebuild N ] gnome-base/libgnome-2.20.1.1 USE="-debug -doc -esd"
[ebuild N ] gnome-base/gnome-vfs-2.20.1-r1 USE="acl avahi hal ipv6 ssl -debug -doc -gnutls -kerberos -samba"
[nomerge ] gnome-base/gnome-mount-0.6 USE="gnome -debug"
[ebuild N ] x11-libs/libnotify-0.4.4 USE="-doc"
[ebuild N ] x11-misc/notification-daemon-0.3.7 USE="-debug"
[ebuild N ] x11-libs/libsexy-0.1.11 USE="-debug -doc"
[nomerge ] gnome-base/gnome-light-2.20.3
[ebuild N ] gnome-base/libgnomecanvas-2.20.1.1 USE="X -debug -doc"
[ebuild N ] gnome-base/gail-1.20.2 USE="-debug -doc"
[nomerge ] gnome-base/gnome-light-2.20.3
[nomerge ] gnome-base/gnome-control-center-2.20.3 USE="hal -alsa -debug -eds -esd"
[nomerge ] gnome-base/libbonoboui-2.20.0 USE="X -debug -doc"
[nomerge ] gnome-base/gnome-vfs-2.20.1-r1 USE="acl avahi hal ipv6 ssl -debug -doc -gnutls -kerberos -samba"
[ebuild N ] net-dns/avahi-0.6.22-r1 USE="dbus gdbm gtk ipv6 python -autoipd -bookmarks -doc -howl-compat -mdnsresponder-compat -mono -qt3 -qt4 -test"
[ebuild N ] x11-libs/libwnck-2.20.3 USE="-debug -doc"
[nomerge ] gnome-base/gnome-mount-0.6 USE="gnome -debug"
[ebuild N ] gnome-base/gnome-keyring-2.20.3 USE="hal pam -debug -doc -test"
[nomerge ] gnome-base/gnome-mount-0.6 USE="gnome -debug"
[nomerge ] gnome-base/eel-2.20.0 USE="X -debug"
[ebuild N ] gnome-base/gnome-menus-2.20.3 USE="python -debug"
[ebuild N ] dev-python/pygtk-2.12.0 USE="-doc -examples -opengl"
[ebuild N ] gnome-base/libglade-2.6.2 USE="-debug -doc"
[ebuild N ] gnome-base/gconf-2.20.1-r1 USE="-debug -doc -ldap"
[ebuild N ] x11-libs/gtk+-2.12.9-r2 USE="X cups -debug -doc -jpeg -tiff -vim-syntax -xinerama"
!!! Error: circular dependencies:

('ebuild', '/', 'gnome-base/gnome-menus-2.20.3', 'merge') depends on
('ebuild', '/', 'dev-python/pygtk-2.12.0', 'merge') (hard)
('ebuild', '/', 'gnome-base/gnome-desktop-2.20.3', 'merge') depends on
('ebuild', '/', 'gnome-base/gnome-vfs-2.20.1-r1', 'merge') (hard)
('ebuild', '/', 'gnome-base/libgnomeui-2.20.1.1', 'merge') (hard)
('ebuild', '/', 'x11-libs/gtk+-2.12.9-r2', 'merge') (hard)
('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') (hard)
('ebuild', '/', 'gnome-base/libgnomecanvas-2.20.1.1', 'merge') (hard)
('ebuild', '/', 'gnome-base/libgnomeui-2.20.1.1', 'merge') depends on
('ebuild', '/', 'gnome-base/gnome-keyring-2.20.3', 'merge') (hard)
('ebuild', '/', 'gnome-base/libbonoboui-2.20.0', 'merge') (hard)
('ebuild', '/', 'gnome-base/gnome-vfs-2.20.1-r1', 'merge') (hard)
('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') (hard)
('ebuild', '/', 'gnome-base/libgnome-2.20.1.1', 'merge') (hard)
('ebuild', '/', 'x11-libs/gtk+-2.12.9-r2', 'merge') (hard)
('ebuild', '/', 'gnome-base/libgnomecanvas-2.20.1.1', 'merge') (hard)
('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') (hard)
('ebuild', '/', 'x11-libs/libwnck-2.20.3', 'merge') depends on
('ebuild', '/', 'x11-libs/gtk+-2.12.9-r2', 'merge') (hard)
('ebuild', '/', 'net-dns/avahi-0.6.22-r1', 'merge') depends on
('ebuild', '/', 'dev-python/pygtk-2.12.0', 'merge') (hard)
('ebuild', '/', 'x11-libs/gtk+-2.12.9-r2', 'merge') (hard)
('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') (hard)
('ebuild', '/', 'gnome-base/gnome-vfs-2.20.1-r1', 'merge') depends on
('ebuild', '/', 'net-dns/avahi-0.6.22-r1', 'merge') (hard)
('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') (hard)
('ebuild', '/', 'gnome-base/gnome-mount-0.6', 'merge') (medium-soft)
('ebuild', '/', 'virtual/ghostscript-0', 'merge') depends on
('ebuild', '/', 'app-text/ghostscript-gpl-8.62', 'merge') (medium)
('ebuild', '/', 'gnome-extra/libgsf-1.14.7', 'merge') depends on
('ebuild', '/', 'gnome-base/gnome-vfs-2.20.1-r1', 'merge') (hard)
('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') (hard)
('ebuild', '/', 'dev-python/pygtk-2.12.0', 'merge') depends on
('ebuild', '/', 'x11-libs/gtk+-2.12.9-r2', 'merge') (hard)
('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') (hard)
('ebuild', '/', 'gnome-base/gnome-mount-0.6', 'merge') depends on
('ebuild', '/', 'gnome-base/gnome-keyring-2.20.3', 'merge') (hard)
('ebuild', '/', 'gnome-base/nautilus-2.20.0-r1', 'merge') (hard)
('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') (hard)
('ebuild', '/', 'gnome-base/libgnomeui-2.20.1.1', 'merge') (hard)
('ebuild', '/', 'x11-libs/gtk+-2.12.9-r2', 'merge') (hard)
('ebuild', '/', 'gnome-base/eel-2.20.0', 'merge') (hard)
('ebuild', '/', 'x11-libs/libnotify-0.4.4', 'merge') (hard)
('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') (hard)
('ebuild', '/', 'x11-libs/gtk+-2.12.9-r2', 'merge') depends on
('ebuild', '/', 'net-print/cups-1.3.7-r1', 'merge') (hard)
('ebuild', '/', 'gnome-base/libgnomecanvas-2.20.1.1', 'merge') depends on
('ebuild', '/', 'gnome-base/gail-1.20.2', 'merge') (hard)
('ebuild', '/', 'x11-libs/gtk+-2.12.9-r2', 'merge') (hard)
('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') (hard)
('ebuild', '/', 'gnome-base/libgnomeprintui-2.18.2', 'merge') depends on
('ebuild', '/', 'gnome-base/libgnomecanvas-2.20.1.1', 'merge') (hard)
('ebuild', '/', 'x11-libs/gtk+-2.12.9-r2', 'merge') (hard)
('ebuild', '/', 'gnome-base/libgnomeprint-2.18.4', 'merge') (hard)
('ebuild', '/', 'gnome-base/libgnome-2.20.1.1', 'merge') depends on
('ebuild', '/', 'gnome-base/gnome-vfs-2.20.1-r1', 'merge') (hard)
('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') (hard)
('ebuild', '/', 'gnome-base/libgnomeprint-2.18.4', 'merge') depends on
('ebuild', '/', 'net-print/libgnomecups-0.2.2', 'merge') (hard)
('ebuild', '/', 'net-print/cups-1.3.7-r1', 'merge') (hard)
('ebuild', '/', 'gnome-base/librsvg-2.20.0', 'merge') depends on
('ebuild', '/', 'gnome-base/libgnomeprint-2.18.4', 'merge') (hard)
('ebuild', '/', 'gnome-base/gnome-vfs-2.20.1-r1', 'merge') (hard)
('ebuild', '/', 'gnome-extra/libgsf-1.14.7', 'merge') (hard)
('ebuild', '/', 'x11-libs/gtk+-2.12.9-r2', 'merge') (hard)
('ebuild', '/', 'gnome-base/libgnomeprintui-2.18.2', 'merge') (hard)
('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') depends on
('ebuild', '/', 'x11-libs/gtk+-2.12.9-r2', 'merge') (hard)
('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') depends on
('ebuild', '/', 'x11-libs/gtk+-2.12.9-r2', 'merge') (hard)
('ebuild', '/', 'app-text/ghostscript-gpl-8.62', 'merge') depends on
('ebuild', '/', 'net-print/cups-1.3.7-r1', 'merge') (hard)
('ebuild', '/', 'x11-libs/gtk+-2.12.9-r2', 'merge') (hard)
('ebuild', '/', 'gnome-base/eel-2.20.0', 'merge') depends on
('ebuild', '/', 'gnome-base/gnome-menus-2.20.3', 'merge') (hard)
('ebuild', '/', 'gnome-base/gnome-vfs-2.20.1-r1', 'merge') (hard)
('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') (hard)
('ebuild', '/', 'gnome-base/gail-1.20.2', 'merge') (hard)
('ebuild', '/', 'gnome-base/libgnomeui-2.20.1.1', 'merge') (hard)
('ebuild', '/', 'x11-libs/gtk+-2.12.9-r2', 'merge') (hard)
('ebuild', '/', 'gnome-base/gnome-desktop-2.20.3', 'merge') (hard)
('ebuild', '/', 'gnome-base/libgnome-2.20.1.1', 'merge') (hard)
('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') (hard)
('ebuild', '/', 'gnome-base/gail-1.20.2', 'merge') depends on
('ebuild', '/', 'x11-libs/gtk+-2.12.9-r2', 'merge') (hard)
('ebuild', '/', 'gnome-base/gnome-keyring-2.20.3', 'merge') depends on
('ebuild', '/', 'x11-libs/gtk+-2.12.9-r2', 'merge') (hard)
('ebuild', '/', 'net-print/libgnomecups-0.2.2', 'merge') depends on
('ebuild', '/', 'net-print/cups-1.3.7-r1', 'merge') (hard)
('ebuild', '/', 'net-print/cups-1.3.7-r1', 'merge') depends on
('ebuild', '/', 'net-dns/avahi-0.6.22-r1', 'merge') (hard)
('ebuild', '/', 'app-text/ghostscript-gpl-8.62', 'merge') (medium-soft)
('ebuild', '/', 'virtual/ghostscript-0', 'merge') (medium-soft)
('ebuild', '/', 'gnome-base/libbonoboui-2.20.0', 'merge') depends on
('ebuild', '/', 'gnome-base/libgnome-2.20.1.1', 'merge') (hard)
('ebuild', '/', 'gnome-base/gnome-vfs-2.20.1-r1', 'merge') (hard)
('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') (hard)
('ebuild', '/', 'x11-libs/gtk+-2.12.9-r2', 'merge') (hard)
('ebuild', '/', 'gnome-base/libgnomecanvas-2.20.1.1', 'merge') (hard)
('ebuild', '/', 'gnome-base/libglade-2.6.2', 'merge') (hard)
('ebuild', '/', 'x11-misc/notification-daemon-0.3.7', 'merge') depends on
('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') (hard)
('ebuild', '/', 'x11-libs/libwnck-2.20.3', 'merge') (hard)
('ebuild', '/', 'x11-libs/libsexy-0.1.11', 'merge') (hard)
('ebuild', '/', 'x11-libs/gtk+-2.12.9-r2', 'merge') (hard)
('ebuild', '/', 'x11-libs/libsexy-0.1.11', 'merge') depends on
('ebuild', '/', 'x11-libs/gtk+-2.12.9-r2', 'merge') (hard)
('ebuild', '/', 'x11-libs/libnotify-0.4.4', 'merge') depends on
('ebuild', '/', 'x11-libs/gtk+-2.12.9-r2', 'merge') (hard)
('ebuild', '/', 'x11-misc/notification-daemon-0.3.7', 'merge') (hard)
('ebuild', '/', 'gnome-base/nautilus-2.20.0-r1', 'merge') depends on
('ebuild', '/', 'x11-libs/gtk+-2.12.9-r2', 'merge') (hard)
('ebuild', '/', 'gnome-base/libgnome-2.20.1.1', 'merge') (hard)
('ebuild', '/', 'gnome-base/libgnomeui-2.20.1.1', 'merge') (hard)
('ebuild', '/', 'gnome-base/gnome-vfs-2.20.1-r1', 'merge') (hard)
('ebuild', '/', 'gnome-base/eel-2.20.0', 'merge') (hard)
('ebuild', '/', 'gnome-base/gconf-2.20.1-r1', 'merge') (hard)
('ebuild', '/', 'gnome-base/gnome-desktop-2.20.3', 'merge') (hard)
('ebuild', '/', 'gnome-base/librsvg-2.20.0', 'merge') (hard)

!!! Note that circular dependencies can often be avoided by temporarily
!!! disabling USE flags that trigger optional dependencies.


8O Ca a pas l'air de sentir bon, des problème avec USE?
Back to top
View user's profile Send private message
netfab
Veteran
Veteran


Joined: 03 Mar 2005
Posts: 1677
Location: 127.0.0.1

PostPosted: Fri Jun 13, 2008 12:13 am    Post subject: Reply with quote

Bug #222601

Essaie :
Code:

# echo "net-dns/avahi -gtk" >> /etc/portage/package.use
# echo "net-print/cups -avahi" >> /etc/portage/package.use

et relance.
Back to top
View user's profile Send private message
nico_calais
l33t
l33t


Joined: 09 Jun 2005
Posts: 628
Location: Saint Julien en Genevois

PostPosted: Fri Jun 13, 2008 7:58 am    Post subject: Reply with quote

pour portage et bash, la soluce est ici.
_________________
"Unix IS user friendly... It's just selective about who its friends are." — Tollef Fog Heen tollef@add.no
Back to top
View user's profile Send private message
disaster62
n00b
n00b


Joined: 12 Jun 2008
Posts: 12

PostPosted: Fri Jun 13, 2008 1:03 pm    Post subject: Reply with quote

Ok netfab, ça a marché merci! Malheureusement, un nouveau problème s'ouvre à moi, décidément j'ai pas de chance!.. :?
A l'install de gnome-light, voilà ce qu'il me dit:

Quote:

Calculating dependencies .... done!
[ebuild N ] dev-util/intltool-0.35.5
[ebuild N ] x11-libs/startup-notification-0.9
[ebuild N ] media-libs/libpng-1.2.26-r1
[ebuild N ] dev-libs/atk-1.20.0 USE="-debug -doc"
[ebuild N ] virtual/xft-7.0
[ebuild N ] media-libs/libart_lgpl-2.3.20 USE="-debug"
[ebuild N ] dev-libs/libgpg-error-1.6 USE="nls"
[ebuild N ] dev-util/desktop-file-utils-0.15 USE="-emacs"
[ebuild N ] dev-perl/XML-NamespaceSupport-1.09
[ebuild N ] app-text/build-docbook-catalog-1.2
[ebuild N ] app-arch/unzip-5.52-r2
[ebuild N ] media-libs/gstreamer-0.10.14
[ebuild N ] dev-libs/libIDL-0.8.10 USE="-debug"
[ebuild N ] media-libs/jpeg-6b-r8
[ebuild N ] gnome-base/gnome-common-2.20.0 USE="-debug"
[ebuild N ] dev-libs/libusb-0.1.12-r1 USE="-debug -doc"
[ebuild N ] sys-apps/eject-2.1.5-r1 USE="nls"
[ebuild NS ] sys-devel/automake-1.8.5-r3
[ebuild N ] dev-python/pygobject-2.14.1 USE="-debug -doc -examples"
[ebuild N ] perl-core/Storable-2.16
[ebuild N ] perl-core/Test-Simple-0.70
[ebuild NS ] sys-devel/autoconf-2.13
[ebuild N ] x11-apps/xdpyinfo-1.0.2 USE="-debug -dga -dmx -xinerama"
[ebuild N ] dev-libs/nspr-4.6.8 USE="ipv6 -debug"
[ebuild N ] x11-libs/libxklavier-3.3 USE="-doc"
[ebuild N ] x11-libs/pixman-0.10.0 USE="-debug"
[ebuild N ] dev-util/gtk-doc-am-1.10-r1
[ebuild N ] app-text/libpaper-1.1.23
[ebuild N ] dev-libs/libtasn1-1.3 USE="-doc"
[ebuild N ] app-text/poppler-0.6.3 USE="zlib -cjk -jpeg"
[ebuild N ] x11-apps/xprop-1.0.3 USE="-debug"
[ebuild N ] media-libs/tiff-3.8.2-r3 USE="zlib -jbig -jpeg -nocxx"
[ebuild N ] media-fonts/gnu-gs-fonts-std-8.11
[ebuild NS ] sys-devel/automake-1.7.9-r1
[ebuild N ] sys-fs/device-mapper-1.02.24-r1 USE="(-selinux)"
[ebuild N ] sys-apps/pciutils-2.2.10 USE="zlib -network-cron"
[ebuild N ] sys-apps/dmidecode-2.9
[ebuild N ] net-misc/neon-0.26.4 USE="nls ssl zlib -expat -kerberos -socks5"
[ebuild N ] dev-libs/libdaemon-0.12 USE="-doc -examples"
[ebuild N ] dev-lang/swig-1.3.34 USE="perl python -R -chicken -clisp -doc -guile -java -lua -mono (-mzscheme) -ocaml -php -pike -ruby -tcl -tk"
[ebuild N ] dev-python/pyrex-0.9.4.1
[ebuild N ] dev-python/numeric-24.2-r6 USE="-doc -lapack"
[ebuild N ] x11-themes/hicolor-icon-theme-0.10
[ebuild N ] dev-perl/XML-LibXML-Common-0.13
[ebuild NS ] sys-devel/automake-1.5
[ebuild N ] media-libs/audiofile-0.2.6-r3
[ebuild N ] media-libs/libexif-0.6.16-r1 USE="nls -doc"
[ebuild N ] media-gfx/imagemagick-6.3.8.3-r1 USE="X bzip2 perl zlib -djvu -doc -fontconfig -fpx -graphviz -gs -hdri -jbig -jpeg -jpeg2k -lcms -nocxx -openexr -png -q32 -q8 -svg -tiff -truetype -wmf -xml"
[ebuild N ] dev-libs/libcroco-0.6.1 USE="-debug"
[ebuild N ] app-text/iso-codes-1.5
[ebuild N ] app-arch/zip-2.32-r1 USE="crypt"
[ebuild N ] dev-libs/liboil-0.3.12 USE="-doc"
[ebuild N ] gnome-base/orbit-2.14.12 USE="-debug -doc"
[ebuild N ] x11-libs/cairo-1.6.4 USE="X -debug -directfb -doc -glitz -opengl -svg -test -xcb"
[ebuild N ] dev-libs/libgcrypt-1.4.0-r1 USE="nls -bindist -idea"
[ebuild N ] x11-misc/shared-mime-info-0.23
[ebuild N ] gnome-base/gnome-mime-data-2.18.0 USE="-debug"
[ebuild N ] dev-perl/XML-SAX-0.16
[ebuild N ] app-text/sgml-common-0.6.3-r5
[ebuild N ] app-text/docbook-xsl-stylesheets-1.73.2
[ebuild N ] sys-apps/usbutils-0.73 USE="zlib -network-cron"
[ebuild N ] sys-libs/libcap-1.10-r11 USE="python"
[ebuild N ] dev-python/dbus-python-0.80.2 USE="-test"
[ebuild N ] virtual/perl-Test-Simple-0.70
[ebuild N ] virtual/perl-Storable-2.16
[ebuild N ] www-client/mozilla-launcher-1.58
[ebuild N ] dev-libs/nss-3.11.9 USE="-utils"
[ebuild N ] x11-libs/pango-1.18.4 USE="-debug -doc"
[ebuild N ] gnome-base/libbonobo-2.20.4 USE="-debug -doc"
[ebuild N ] dev-libs/libxslt-1.1.24 USE="crypt python -debug -examples"
[ebuild N ] app-crypt/opencdk-0.6.6 USE="-doc"
[ebuild N ] x11-misc/xdg-utils-1.0.2-r1 USE="-doc"
[ebuild N ] sys-fs/cryptsetup-1.0.5-r1 USE="nls -build -dynamic (-selinux)"
[ebuild N ] net-dns/avahi-0.6.22-r1 USE="dbus gdbm ipv6 python -autoipd -bookmarks -doc -gtk -howl-compat -mdnsresponder-compat -mono -qt3 -qt4 -test"
[ebuild N ] dev-python/pycairo-1.4.0 USE="-examples"
[ebuild N ] dev-perl/XML-LibXML-1.65
[ebuild N ] app-text/docbook-xml-dtd-4.4-r1
[ebuild N ] app-text/docbook-xml-dtd-4.1.2-r6
[ebuild N ] app-text/gnome-doc-utils-0.12.1 USE="-debug"
[ebuild N ] app-text/rarian-0.6.0-r1 USE="-debug"
[ebuild N ] net-libs/gnutls-2.2.5 USE="nls zlib -bindist -doc -guile -lzo"
[ebuild N ] dev-perl/XML-Simple-2.18
[ebuild N ] app-text/scrollkeeper-9999
[ebuild N ] x11-misc/icon-naming-utils-0.8.6
[ebuild N ] x11-themes/gnome-icon-theme-2.20.0 USE="-debug"
[ebuild N ] sys-apps/hal-0.5.9.1-r3 USE="crypt -acpi -debug -dell -disk-partition -doc -pcmcia (-selinux)"
[ebuild N ] app-misc/hal-info-20070618
[ebuild N ] net-print/cups-1.3.7-r1 USE="X acl dbus nls pam perl python ssl -avahi -java -jpeg -kerberos -ldap -php -png -ppds -samba -slp -static -tiff -zeroconf" LINGUAS="-de -en -es -et -fr -he -it -ja -pl -sv -zh_TW"
[ebuild N ] x11-libs/gtk+-2.12.9-r2 USE="X cups -debug -doc -jpeg -tiff -vim-syntax -xinerama"
[ebuild N ] net-print/libgnomecups-0.2.2 USE="-debug"
[ebuild N ] app-text/ghostscript-gpl-8.62 USE="X cups gtk -bindist -cjk -djvu -jpeg2k"
[ebuild N ] virtual/ghostscript-0
[ebuild N ] gnome-base/gconf-2.20.1-r1 USE="-debug -doc -ldap"
[ebuild N ] gnome-base/libglade-2.6.2 USE="-debug -doc"
[ebuild N ] gnome-base/gnome-keyring-2.20.3 USE="hal pam -debug -doc -test"
[ebuild N ] x11-libs/libwnck-2.20.3 USE="-debug -doc"
[ebuild N ] gnome-base/gail-1.20.2 USE="-debug -doc"
[ebuild N ] gnome-base/libgnomeprint-2.18.4 USE="cups -debug -doc"
[ebuild N ] x11-libs/libsexy-0.1.11 USE="-debug -doc"
[ebuild N ] x11-themes/gtk-engines-2.12.2 USE="-accessibility -debug -static"
[ebuild N ] gnome-base/libgnomecanvas-2.20.1.1 USE="X -debug -doc"
[ebuild N ] dev-python/pygtk-2.12.0 USE="-doc -examples -opengl"
[ebuild N ] x11-wm/metacity-2.20.2 USE="-debug -xinerama"
[ebuild N ] x11-misc/notification-daemon-0.3.7 USE="-debug"
[ebuild N ] x11-themes/gnome-themes-2.20.2 USE="-accessibility -debug"
[ebuild N ] gnome-base/gnome-menus-2.20.3 USE="python -debug"
[ebuild N ] x11-libs/libnotify-0.4.4 USE="-doc"
[ebuild N ] gnome-base/libgnomeprintui-2.18.2 USE="-debug -doc"
[ebuild N ] x11-libs/vte-0.16.13 USE="python -debug -doc -opengl"
[ebuild N ] gnome-base/gnome-vfs-2.20.1-r1 USE="acl avahi hal ipv6 ssl -debug -doc -gnutls -kerberos -samba"
[ebuild N ] gnome-base/libgnome-2.20.1.1 USE="-debug -doc -esd"
[ebuild N ] gnome-extra/libgsf-1.14.7 USE="bzip2 gnome python -debug -doc"
[ebuild N ] gnome-base/libbonoboui-2.20.0 USE="X -debug -doc"
[ebuild N ] gnome-base/librsvg-2.20.0 USE="gnome zlib -debug -doc"
[ebuild N ] gnome-base/libgnomeui-2.20.1.1 USE="-debug -doc -jpeg"
[ebuild N ] gnome-base/gnome-desktop-2.20.3 USE="-debug -doc"
[ebuild N ] x11-terms/gnome-terminal-2.18.4 USE="-debug"
[ebuild N ] www-client/mozilla-firefox-2.0.0.14 USE="gnome ipv6 -bindist -debug -filepicker -iceweasel -java -mozdevelop -moznopango -restrict-javascript -xforms -xinerama -xprint" LINGUAS="-af -ar -be -bg -ca -cs -da -de -el -en -en_GB -en_US -es -es_AR -es_ES -eu -fi -fr -fy -fy_NL -ga -ga_IE -gu -gu_IN -he -hu -it -ja -ka -ko -ku -lt -mk -mn -nb -nb_NO -nl -nn -nn_NO -pa -pa_IN -pl -pt -pt_BR -pt_PT -ro -ru -sk -sl -sv -sv_SE -tr -uk -zh -zh_CN -zh_TW"
[ebuild N ] gnome-base/libgnomekbd-2.20.0-r1 USE="-debug"
[ebuild N ] gnome-base/eel-2.20.0 USE="X -debug"
[ebuild N ] gnome-base/gnome-panel-2.20.3 USE="-debug -doc -eds"
[ebuild N ] gnome-extra/yelp-2.20.0 USE="-beagle -debug -xulrunner"
[ebuild N ] gnome-base/nautilus-2.20.0-r1 USE="X gnome -beagle -debug -esd -tracker"
[ebuild N ] gnome-base/gnome-mount-0.6 USE="gnome -debug"
[ebuild N ] media-libs/gst-plugins-base-0.10.14 USE="X -alsa -debug -esd -oss -xv"
[ebuild N ] media-plugins/gst-plugins-x-0.10.14
[ebuild N ] media-plugins/gst-plugins-gconf-0.10.6 USE="-debug"
[ebuild N ] media-plugins/gst-plugins-meta-0.10 USE="X -alsa -esd -oss -xv"
[ebuild N ] gnome-base/gnome-control-center-2.20.3 USE="hal -alsa -debug -eds -esd"
[ebuild N ] gnome-base/gnome-session-2.20.3 USE="ipv6 tcpd -branding -debug -esd"
[ebuild R ] gnome-base/gnome-light-2.20.3
[blocks B ] <sys-fs/udev-115-r1 (is blocking sys-fs/device-mapper-1.02.24-r1)

* Error: The above package list contains packages which cannot be
* installed at the same time on the same system.

For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked



Pour pouvoir résoudre le problème de blocage entre les 2 fichiers, j'ai donc supprimé device-mapper-1.02.24-r1 (dans /usr/portage/...), et à l'install un 2eme fichier le bloque. Je l'ai donc aussi supprimé, et là en relançant l'install de gnome-light, il me dit que le premier fichier qui posait problème, et que j'ai supprimé (device-mapper-1.02.24-r1) est manquant, et que donc il ne peut pas poursuivre l'installation! 8O Faut savoir, il gêne l'install, mais il en a besoin? Je tourne en rond une nouvelle fois sur ce coup..
Pour remettre à plat et recuperer les fichiers que j'ai supprimé, j'ai fait un emerge --sync, et bien sur, en essayant par curiosité d'installer gnome-light, il me re-dit ce que j'ai cité plus haut... Blocage.. :?

nico_calais, vu que la soluce que tu me donnes est pour mon problème de màj de Portage, je suppose que sur ce coup ça ne me sera pas utile? En même temps tout est lié sur ce problème j'ai l'impression..

Est-ce aussi un bug connu? Quelle est la solution?

EDIT: Enfin c'est bizare parce que normalement
Quote:
[blocks B ] <sys-fs/udev-115-r1 (is blocking sys-fs/device-mapper-1.02.24-r1)
voudrait dire que j'ai le fichier sys-fs/udev-115-r1 qui bloque l'install du fichier sys-fs/device-mapper-1.02.24-r1, mais je n'ai pas le fichier sys-fs/udev-115-r1, et par contre j'ai le fichier sys-fs/device-mapper-1.02.24-r1 déjà installé.. Il y a un truc que je comprend pas.. C'est pourquoi j'ai essayé de supprimer l'autre fichier (de faire à l'envers quoi..).
Back to top
View user's profile Send private message
kopp
Advocate
Advocate


Joined: 09 Apr 2004
Posts: 2885
Location: Grenoble, France

PostPosted: Fri Jun 13, 2008 1:12 pm    Post subject: Reply with quote

Avant de commencer à installer un tas de truc, il faudrait peut etre penser à mettre à jour ton système avec emerge -uavDN world
Commence par mettre à jour udev, qui bloque device-mapper. La dernière version en stable de udev et la 115-r1 qui est la version minimum requise.
Back to top
View user's profile Send private message
disaster62
n00b
n00b


Joined: 12 Jun 2008
Posts: 12

PostPosted: Fri Jun 13, 2008 1:25 pm    Post subject: Reply with quote

Ok merci, il me semblait l'avoir fait mais bon.. C'est vrai que il y a eu du nouveau sur le système, et je ne l'ai pas refait depuis, je vais faire ça de suite. :)
Back to top
View user's profile Send private message
disaster62
n00b
n00b


Joined: 12 Jun 2008
Posts: 12

PostPosted: Fri Jun 13, 2008 3:47 pm    Post subject: Reply with quote

Bon beh en effet il y avait au moins 300Mo d'update `a telecharger! :lol:
Et l`a, encore un probleme, `a un moment il bloque sur un fichier.. Je suis bloque de partout quoi je sais pas ce que j'ai fait ou si au depart c'est normal qu'il faille faire plein de reglage notamment contre des bugs.. J'ai limite envie de reinstaller, et en EXT3, bref suivre le guide comme un mouton, parce que bon `a force de toujours poster erreur sur erreur, vos oreilles vont siffler! :)

Bref, je post quand meme mon erreur on sait jamais (en faisant emerge -uavDN world):

Quote:


These are the packages that would be merged, in order:

Calculating world dependencies .... done!
[ebuild N ] dev-util/intltool-0.35.5 0 kB
[ebuild N ] virtual/perl-Test-Simple-0.70 0 kB
[ebuild N ] virtual/perl-Storable-2.16 0 kB
[ebuild N ] gnome-base/gnome-mime-data-2.18.0 USE="-debug" 593 kB
[ebuild U ] sys-apps/net-tools-1.60-r13 [1.60-r12] USE="nls -static" 0 kB
[ebuild U ] sys-apps/kbd-1.13-r1 [1.12-r8] USE="nls" 652 kB
[ebuild U ] sys-apps/gawk-3.1.5-r5 [3.1.5-r2] USE="nls" 2,257 kB
[ebuild U ] app-arch/tar-1.20 [1.16-r2] USE="nls -static" 1,868 kB
[ebuild R ] sys-apps/help2man-1.36.4 USE="nls" ELIBC="(glibc%*)" 84 kB
[ebuild N ] dev-libs/atk-1.20.0 USE="-debug -doc" 689 kB
[ebuild N ] dev-util/desktop-file-utils-0.15 USE="-emacs" 341 kB
[ebuild N ] dev-libs/libIDL-0.8.10 USE="-debug" 364 kB
[ebuild N ] gnome-base/orbit-2.14.12 USE="-debug -doc" 729 kB
[ebuild NS ] sys-devel/automake-1.8.5-r3 648 kB
[ebuild NS ] sys-devel/automake-1.7.9-r1 565 kB
[ebuild NS ] sys-devel/automake-1.5 515 kB
[ebuild N ] gnome-base/libbonobo-2.20.4 USE="-debug -doc" 1,413 kB
[ebuild N ] x11-misc/shared-mime-info-0.23 465 kB
[ebuild N ] dev-perl/XML-NamespaceSupport-1.09 8 kB
[ebuild N ] media-libs/gstreamer-0.10.14 1,958 kB
[ebuild N ] app-text/docbook-xsl-stylesheets-1.73.2 1,636 kB
[ebuild N ] x11-libs/libxklavier-3.3 USE="-doc" 465 kB
[ebuild N ] dev-perl/XML-LibXML-Common-0.13 13 kB
[ebuild N ] dev-libs/libcroco-0.6.1 USE="-debug" 373 kB
[ebuild N ] dev-perl/XML-SAX-0.16 59 kB
[ebuild N ] dev-perl/XML-LibXML-1.65 259 kB
[ebuild N ] dev-perl/XML-Simple-2.18 70 kB
[ebuild N ] x11-misc/icon-naming-utils-0.8.6 68 kB
[ebuild N ] x11-themes/gnome-icon-theme-2.20.0 USE="-debug" 3,389 kB
[ebuild U ] sys-devel/libtool-1.5.26 [1.5.22] USE="-vanilla%" 2,893 kB
[ebuild N ] dev-libs/libgcrypt-1.4.0-r1 USE="nls -bindist -idea" 943 kB
[ebuild U ] sys-apps/attr-2.4.39 [2.4.32] USE="nls" 111 kB
[ebuild N ] media-libs/jpeg-6b-r8 621 kB
[ebuild N ] dev-libs/libusb-0.1.12-r1 USE="-debug -doc" 381 kB
[ebuild N ] x11-apps/xdpyinfo-1.0.2 USE="-debug -dga -dmx -xinerama" 98 kB
[ebuild N ] x11-libs/pixman-0.10.0 USE="-debug" 305 kB
[ebuild N ] x11-apps/xprop-1.0.3 USE="-debug" 105 kB
[ebuild N ] media-gfx/imagemagick-6.3.8.3-r1 USE="X bzip2 perl zlib -djvu -doc -fontconfig -fpx -graphviz -gs -hdri -jbig -jpeg -jpeg2k -lcms -nocxx -openexr -png -q32 -q8 -svg -tiff -truetype -wmf -xml" 8,587 kB
[ebuild N ] dev-libs/liboil-0.3.12 USE="-doc" 792 kB
[ebuild U ] sys-apps/acl-2.2.45 [2.2.39-r1] USE="nls (-nfs)" 150 kB
[ebuild N ] app-crypt/opencdk-0.6.6 USE="-doc" 471 kB
[ebuild N ] x11-misc/xdg-utils-1.0.2-r1 USE="-doc" 276 kB
[ebuild N ] sys-apps/usbutils-0.73 USE="zlib -network-cron" 170 kB
[ebuild N ] www-client/mozilla-launcher-1.58 7 kB
[ebuild N ] net-libs/gnutls-2.2.5 USE="nls zlib -bindist -doc -guile -lzo" 4,806 kB
[ebuild U ] sys-apps/texinfo-4.11-r1 [4.8-r5] USE="nls -static (-build%)" 1,621 kB
[ebuild U ] sys-libs/gpm-1.20.1-r6 [1.20.1-r5] USE="(-selinux)" 561 kB
[ebuild U ] app-editors/nano-2.0.7 [2.0.2] USE="ncurses nls unicode -debug -justify -minimal -slang -spell" 1,332 kB
[ebuild U ] sys-apps/less-418 [394] USE="unicode" 488 kB
[ebuild U ] sys-process/psmisc-22.6 [22.2] USE="X* ipv6 nls (-selinux)" 277 kB
[ebuild U ] sys-process/procps-3.2.7 [3.2.6] USE="(-n32)" 276 kB
[ebuild U ] sys-libs/readline-5.2_p12-r1 [5.1_p4] 2,018 kB
[ebuild NS ] sys-devel/autoconf-2.13 434 kB
[ebuild U ] app-admin/perl-cleaner-1.05 [1.04.3] 6 kB
[ebuild R ] sys-apps/groff-1.19.2-r1 USE="X* -cjk" 2,836 kB
[ebuild N ] virtual/editor-0 0 kB
[ebuild U ] sys-apps/which-2.19 [2.16] 130 kB
[ebuild N ] virtual/pager-0 0 kB
[ebuild N ] app-text/sgml-common-0.6.3-r5 75 kB
[ebuild U ] sys-apps/man-1.6f-r1 [1.6d] USE="nls" 249 kB
[ebuild N ] app-text/docbook-xml-dtd-4.4-r1 94 kB
[ebuild N ] app-text/docbook-xml-dtd-4.1.2-r6 74 kB
[ebuild U ] sys-apps/diffutils-2.8.7-r2 [2.8.7-r1] USE="nls -static" 1,038 kB
[ebuild U ] dev-libs/openssl-0.9.8g-r2 [0.9.8d] USE="(sse2) zlib -bindist -gmp% -kerberos% -test (-emacs%)" 3,277 kB
[ebuild U ] dev-lang/python-2.4.4-r13 [2.4.4-r6] USE="berkdb cxx%* gdbm ipv6 ncurses readline ssl threads%* -bootstrap -build -doc -examples -tk -ucs2 -wininst% (-nocxx%) (-nothreads%)" 12 kB
[ebuild U ] app-misc/ca-certificates-20070303-r1 [20061027.2] 95 kB
[ebuild N ] net-misc/neon-0.26.4 USE="nls ssl zlib -expat -kerberos -socks5" 776 kB
[ebuild U ] net-misc/wget-1.11.1 [1.10.2] USE="ipv6 nls ssl -debug -socks5 -static (-build%)" 908 kB
[ebuild R ] www-client/links-2.1_pre33 USE="X* bzip2 gpm ssl unicode zlib -directfb -fbcon -jpeg -livecd -png -sdl (-svga) -tiff" 0 kB
[ebuild N ] dev-libs/libxslt-1.1.24 USE="crypt python -debug -examples" 3,286 kB
[ebuild U ] sys-libs/cracklib-2.8.12 [2.8.9-r1] USE="nls python" 573 kB
[ebuild N ] dev-python/pygobject-2.14.1 USE="-debug -doc -examples" 355 kB
[ebuild U ] sys-apps/file-4.23 [4.20-r1] USE="python" 551 kB
[ebuild N ] dev-lang/swig-1.3.34 USE="perl python -R -chicken -clisp -doc -guile -java -lua -mono (-mzscheme) -ocaml -php -pike -ruby -tcl -tk" 4,333 kB
[ebuild N ] dev-python/pyrex-0.9.4.1 178 kB
[ebuild N ] dev-python/numeric-24.2-r6 USE="-doc -lapack" 727 kB
[ebuild N ] app-text/iso-codes-1.5 6,304 kB
[ebuild N ] app-text/gnome-doc-utils-0.12.1 USE="-debug" 582 kB
[ebuild N ] app-text/rarian-0.6.0-r1 USE="-debug" 305 kB
[ebuild N ] sys-libs/libcap-1.10-r11 USE="python" 39 kB
[ebuild N ] dev-python/dbus-python-0.80.2 USE="-test" 443 kB
[ebuild N ] app-text/scrollkeeper-9999 0 kB
[ebuild U ] sys-apps/shadow-4.0.18.2 [4.0.18.1] USE="cracklib nls pam -nousuid (-selinux) -skey" 2,444 kB
[ebuild N ] net-dns/avahi-0.6.22-r1 USE="dbus gdbm ipv6 python -autoipd -bookmarks -doc -gtk -howl-compat -mdnsresponder-compat -mono -qt3 -qt4 -test" 1,172 kB
[ebuild U ] sys-apps/busybox-1.8.2 [1.2.2.1] USE="pam%* -debug -make-symlinks -savedconfig (-selinux) -static (-netboot%)" 1,725 kB
[ebuild U ] net-misc/openssh-4.7_p1-r6 [4.5_p1-r1] USE="X* pam tcpd -X509 -chroot -hpn -kerberos -ldap -libedit (-selinux) -skey -smartcard -static" 1,034 kB
[ebuild U ] sys-devel/gcc-4.1.2 [4.1.1-r3] USE="fortran gtk* mudflap* (multilib*) nls (-altivec) -bootstrap -build -d% -doc -gcj (-hardened) -ip28 -ip32r10k -libffi% -multislot (-n32) (-n64) -nocxx -objc -objc++ -objc-gc -test -vanilla" 38,847 kB
[ebuild U ] sys-libs/glibc-2.6.1 [2.5] USE="(multilib*) nls -debug% -gd% -glibc-omitfp (-hardened) -profile (-selinux) -vanilla% (-build%) (-glibc-compat20%) (-nptl%*) (-nptlonly%*)" 16,007 kB
[ebuild N ] virtual/xft-7.0 0 kB
[ebuild N ] sys-fs/cryptsetup-1.0.5-r1 USE="nls -build -dynamic (-selinux)" 315 kB
[ebuild N ] app-admin/eselect-fontconfig-1.0 0 kB
[ebuild N ] x11-libs/cairo-1.6.4 USE="X -debug -directfb -doc -glitz -opengl -svg -test -xcb" 4,925 kB
[ebuild N ] app-text/poppler-0.6.3 USE="zlib -cjk -jpeg" 1,263 kB
[ebuild N ] x11-libs/pango-1.18.4 USE="-debug -doc" 1,374 kB
[ebuild N ] dev-python/pycairo-1.4.0 USE="-examples" 469 kB
[ebuild U ] sys-apps/module-init-tools-3.4 [3.2.2-r2] USE="-old-linux% (-no-old-linux%)" 195 kB
[ebuild U ] sys-apps/baselayout-1.12.11.1 [1.12.9] USE="unicode -bootstrap -build -static (-ldap%)" 218 kB
[ebuild N ] sys-apps/hal-0.5.9.1-r3 USE="crypt -acpi -debug -dell -disk-partition -doc -pcmcia (-selinux)" 1,564 kB
[ebuild N ] app-misc/hal-info-20070618 117 kB
[ebuild N ] net-print/cups-1.3.7-r1 USE="X acl dbus nls pam perl python ssl -avahi -java -jpeg -kerberos -ldap -php -png -ppds -samba -slp -static -tiff -zeroconf" LINGUAS="-de -en -es -et -fr -he -it -ja -pl -sv -zh_TW" 3,805 kB
[ebuild N ] x11-libs/gtk+-2.12.9-r2 USE="X cups -debug -doc -jpeg -tiff -vim-syntax -xinerama" 15,652 kB
[ebuild N ] net-print/libgnomecups-0.2.2 USE="-debug" 308 kB
[ebuild N ] app-text/ghostscript-gpl-8.62 USE="X cups gtk -bindist -cjk -djvu -jpeg2k" 14,715 kB
[ebuild N ] virtual/ghostscript-0 0 kB
[ebuild N ] gnome-base/gconf-2.20.1-r1 USE="-debug -doc -ldap" 1,372 kB
[ebuild N ] gnome-base/libglade-2.6.2 USE="-debug -doc" 344 kB
[ebuild N ] gnome-base/gnome-keyring-2.20.3 USE="hal pam -debug -doc -test" 529 kB
[ebuild N ] x11-libs/libwnck-2.20.3 USE="-debug -doc" 623 kB
[ebuild N ] gnome-base/gail-1.20.2 USE="-debug -doc" 645 kB
[ebuild N ] gnome-base/libgnomeprint-2.18.4 USE="cups -debug -doc" 864 kB
[ebuild N ] x11-libs/libsexy-0.1.11 USE="-debug -doc" 262 kB
[ebuild N ] x11-themes/gtk-engines-2.12.2 USE="-accessibility -debug -static" 639 kB
[ebuild N ] gnome-base/libgnomecanvas-2.20.1.1 USE="X -debug -doc" 570 kB
[ebuild N ] dev-python/pygtk-2.12.0 USE="-doc -examples -opengl" 2,105 kB
[ebuild N ] x11-wm/metacity-2.20.2 USE="-debug -xinerama" 1,988 kB
[ebuild N ] x11-misc/notification-daemon-0.3.7 USE="-debug" 403 kB
[ebuild N ] x11-themes/gnome-themes-2.20.2 USE="-accessibility -debug" 2,347 kB
[ebuild N ] gnome-base/gnome-menus-2.20.3 USE="python -debug" 437 kB
[ebuild N ] x11-libs/libnotify-0.4.4 USE="-doc" 387 kB
[ebuild N ] gnome-base/libgnomeprintui-2.18.2 USE="-debug -doc" 682 kB
[ebuild N ] x11-libs/vte-0.16.13 USE="python -debug -doc -opengl" 1,089 kB
[ebuild N ] gnome-base/gnome-vfs-2.20.1-r1 USE="acl avahi hal ipv6 ssl -debug -doc -gnutls -kerberos -samba" 1,846 kB
[ebuild N ] gnome-base/libgnome-2.20.1.1 USE="-debug -doc -esd" 1,339 kB
[ebuild N ] gnome-extra/libgsf-1.14.7 USE="bzip2 gnome python -debug -doc" 573 kB
[ebuild N ] gnome-base/libbonoboui-2.20.0 USE="X -debug -doc" 969 kB
[ebuild N ] gnome-base/librsvg-2.20.0 USE="gnome zlib -debug -doc" 453 kB
[ebuild N ] gnome-base/libgnomeui-2.20.1.1 USE="-debug -doc -jpeg" 1,413 kB
[ebuild N ] gnome-base/gnome-desktop-2.20.3 USE="-debug -doc" 1,331 kB
[ebuild N ] x11-terms/gnome-terminal-2.18.4 USE="-debug" 2,024 kB
[ebuild N ] www-client/mozilla-firefox-2.0.0.14 USE="gnome ipv6 -bindist -debug -filepicker -iceweasel -java -mozdevelop -moznopango -restrict-javascript -xforms -xinerama -xprint" LINGUAS="-af -ar -be -bg -ca -cs -da -de -el -en -en_GB -en_US -es -es_AR -es_ES -eu -fi -fr -fy -fy_NL -ga -ga_IE -gu -gu_IN -he -hu -it -ja -ka -ko -ku -lt -mk -mn -nb -nb_NO -nl -nn -nn_NO -pa -pa_IN -pl -pt -pt_BR -pt_PT -ro -ru -sk -sl -sv -sv_SE -tr -uk -zh -zh_CN -zh_TW" 36,663 kB
[ebuild N ] gnome-base/libgnomekbd-2.20.0-r1 USE="-debug" 384 kB
[ebuild N ] gnome-base/eel-2.20.0 USE="X -debug" 633 kB
[ebuild N ] gnome-base/gnome-panel-2.20.3 USE="-debug -doc -eds" 2,764 kB
[ebuild N ] gnome-extra/yelp-2.20.0 USE="-beagle -debug -xulrunner" 882 kB
[ebuild N ] gnome-base/nautilus-2.20.0-r1 USE="X gnome -beagle -debug -esd -tracker" 4,802 kB
[ebuild N ] gnome-base/gnome-mount-0.6 USE="gnome -debug" 456 kB
[ebuild N ] media-libs/gst-plugins-base-0.10.14 USE="X -alsa -debug -esd -oss -xv" 1,588 kB
[ebuild N ] media-plugins/gst-plugins-x-0.10.14 0 kB
[ebuild N ] media-plugins/gst-plugins-gconf-0.10.6 USE="-debug" 1,540 kB
[ebuild N ] media-plugins/gst-plugins-meta-0.10 USE="X -alsa -esd -oss -xv" 0 kB
[ebuild N ] gnome-base/gnome-control-center-2.20.3 USE="hal -alsa -debug -eds -esd" 2,208 kB
[ebuild N ] gnome-base/gnome-session-2.20.3 USE="ipv6 tcpd -branding -debug -esd" 735 kB

Total: 142 packages (31 upgrades, 104 new, 4 in new slots, 3 reinstalls), Size of downloads: 258,426 kB

Would you like to merge these packages? [Yes/No] >>> Verifying ebuild Manifests...

>>> Emerging (1 of 142) dev-util/intltool-0.35.5 to /
* intltool-0.35.5.tar.bz2 RMD160 SHA1 SHA256 size ;-) ... [ ok ]
* checking ebuild checksums ;-) ... [ ok ]
* checking auxfile checksums ;-) ... [ ok ]
* checking miscfile checksums ;-) ... [ ok ]
* checking intltool-0.35.5.tar.bz2 ;-) ... [ ok ]
>>> Unpacking source...
>>> Unpacking intltool-0.35.5.tar.bz2 to /var/tmp/portage/dev-util/intltool-0.35.5/work
* Applying intltool-0.35.5-update.patch ...
[ ok ]
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/dev-util/intltool-0.35.5/work/intltool-0.35.5 ...
./configure --prefix=/usr --host=x86_64-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --libdir=/usr/lib64 --build=x86_64-pc-linux-gnu
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for perl... /usr/bin/perl
checking for XML::Parser... configure: error: XML::Parser perl module is required for intltool

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/dev-util/intltool-0.35.5/work/intltool-0.35.5/config.log
*
* ERROR: dev-util/intltool-0.35.5 failed.
* Call stack:
* ebuild.sh, line 49: Called src_compile
* environment, line 2091: Called econf
* ebuild.sh, line 513: Called die
* The specific snippet of code:
* die "econf failed"
* The die message:
* econf failed
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/dev-util/intltool-0.35.5/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/dev-util/intltool-0.35.5/temp/environment'.
*

* Messages for package dev-util/intltool-0.35.5:

*
* ERROR: dev-util/intltool-0.35.5 failed.
* Call stack:
* ebuild.sh, line 49: Called src_compile
* environment, line 2091: Called econf
* ebuild.sh, line 513: Called die
* The specific snippet of code:
* die "econf failed"
* The die message:
* econf failed
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/dev-util/intltool-0.35.5/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/dev-util/intltool-0.35.5/temp/environment'.
*


Alors je sais pas `a force de trifouiller peut-etre que j'ai fait des choses qui ne fallait pas faire. J'ai l'impression qu'au lieu d'en resoudre un, je double le nombre de mes problemes presque.
Ou j'ai peut-etre vu trop grand avec la Gentoo, peut-etre qu'il vaut mieux que je retourne `a une distrib plus simple d'acces..
Enfin faut que je prenne le temps de lire plus attentivement l'ensemble des guides (je n'ai que suivi le guide d'installation de Gentoo en AMD64 + le guide d'installation de GNOME..).

Enfin, avis `a vous, Gentooiste de toujours, si jamais vous avez la solution qui vous saute aux yeux, ne vous privez pas pour la poster! :D

EDIT: ouf, j'ai reussi a trouver la solution, avec "emerge XML-Parser", je peux donc continuer l'update! :D
Back to top
View user's profile Send private message
kopp
Advocate
Advocate


Joined: 09 Apr 2004
Posts: 2885
Location: Grenoble, France

PostPosted: Sat Jun 14, 2008 12:46 am    Post subject: Reply with quote

Bizarre la dépendance est pourtant dans l'ebuild de intltool. Je comprends pas pourquoi il avait pas été merger.
Tant mieux que tu es réussi à résoudre ce problème tu vois que c'est possible pour toi aussi d'utiliser gentoo
Back to top
View user's profile Send private message
disaster62
n00b
n00b


Joined: 12 Jun 2008
Posts: 12

PostPosted: Sun Jun 15, 2008 10:59 am    Post subject: Reply with quote

desole davance clavier qwerty pour le moment... :wink:

Alors voila pour finir j avais encore des problemes donc j ai decide de reinstaller Gentoo mais cette fois ci en EXT3 et ca s est tres bien deroule et aussi bien plus rapidement que precedemen. 8) :D
Et j ai vu que j avais flancher sur le choix des mirroirs pour les updates justement. J avais pas vu mais il fallait appuyer sur la barre d espace pour bien valider les mirroirs :!: :)
Donc la pour les updates je suis passe de 30ko/s a 500ko/s autant vous dire que j en etais content. :D
Et justement ces updates aucun probleme maintenant tout roule nickel, j ai juste eu le meme bug pour gnome et puis un emerge --unmerge pour desinstaller un pack qui bloquait un autre pendant emerge -uavDN world et voila :D
D ailleurs je sous GNOME la. :)

Bref merci a vous tous pour votre aide et je confirme le plus souvent le bug est situe entre la chaise et le clavier :D

Vive Gentoo :wink:
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum